Skip to main content

Activate/Revoke Users

PATCHhttps://api.coralogix.com/mgmt/openapi/5/aaa/teams/v2/{team_id}/members:updateStatuses

Updates the active status of multiple team members.

Authorizations

Authorizationstringheaderrequired
API key authentication

Request

Path Parameters

    team_id# int64required

    Possible values: >= 0

    Team ID containing the users to update

Body

application/json

Request to activate or revoke (deactivate) one or more users within a team. This operation changes the user status to either Active (enables access) or Inactive (disables access).

    status#UserStatus

    User status.

    Possible values: [USER_STATUS_UNSPECIFIED, USER_STATUS_ACTIVE, USER_STATUS_INACTIVE]

    userAccountIds#int64[]

    List of user account IDs to update. All users will be set to the same status.

Response

application/json

Response confirming the successful status update of users. Contains the user account IDs of all users whose status was changed.

    userAccountIds#int64[]

    List of user account IDs for users whose status was successfully updated